with GNATCOLL.Traces;  use GNATCOLL.Traces;

procedure Test_Block is
   Me : constant Trace_Handle := Create ("PKG");

   procedure Foo (A : Integer) is
      Block_Me : constant Block_Trace_Handle :=
         Create (Me, (if Active (Me) then A'Img else ""))
         with Unreferenced;
   begin
      Trace (Me, "A=" & A'Img);
      if A > 1 then
         Foo (A - 1);
      end if;
   end Foo;

begin
   GNATCOLL.Traces.Parse_Config_File;
   Foo (2);
end Test_Block;
